/**
 Classe: JanPrincipal
 Autor:  Ivan Mecenas
 Data:   20/11/2002
*/
public class JanPrincipal extends javax.swing.JFrame {
    
    public JanPrincipal() {
        initComponents();
    }
    
    private void initComponents() {
        jMenuBar = new javax.swing.JMenuBar();
        jMenuCadastro = new javax.swing.JMenu();
        jMenuCargo = new javax.swing.JMenuItem();
        jMenuEmpregado = new javax.swing.JMenuItem();
        jMenuSistema = new javax.swing.JMenu();
        jMenuSair = new javax.swing.JMenuItem();

        setTitle("Janela Principal");
        addWindowListener(new java.awt.event.WindowAdapter() {
            public void windowClosing(java.awt.event.WindowEvent evt) {
                exitForm(evt);
            }
        });

        jMenuCadastro.setText("Cadastro");
        jMenuCargo.setText("Cargo");
        jMenuCargo.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                aoAcionarCargo(evt);
            }
        });

        jMenuCadastro.add(jMenuCargo);
        jMenuEmpregado.setText("Empregado");
        jMenuEmpregado.setToolTipText("null");
        jMenuEmpregado.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                aoAcionarEmpregado(evt);
            }
        });

        jMenuCadastro.add(jMenuEmpregado);
        jMenuBar.add(jMenuCadastro);
        jMenuSistema.setText("Sistema");
        jMenuSair.setText("Sair");
        jMenuSair.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                aoAcionarSair(evt);
            }
        });

        jMenuSistema.add(jMenuSair);
        jMenuBar.add(jMenuSistema);
        setJMenuBar(jMenuBar);

        pack();
        java.awt.Dimension screenSize = java.awt.Toolkit.getDefaultToolkit().getScreenSize();
        setSize(new java.awt.Dimension(700, 500));
        setLocation((screenSize.width-700)/2,(screenSize.height-500)/2);
    }

    private void aoAcionarSair(java.awt.event.ActionEvent evt) {
        javax.swing.JOptionPane.showMessageDialog(
            null,
            "Codificar aoAcionarSair",
            "Lembrete",
            javax.swing.JOptionPane.PLAIN_MESSAGE
            );
        System.exit(0);
    }

    private void aoAcionarEmpregado(java.awt.event.ActionEvent evt) {
        javax.swing.JOptionPane.showMessageDialog(
            null,
            "Codificar aoAcionarEmpregado",
            "Lembrete",
            javax.swing.JOptionPane.PLAIN_MESSAGE
            );
    }

    private void aoAcionarCargo(java.awt.event.ActionEvent evt) {
        javax.swing.JOptionPane.showMessageDialog(
            null,
            "Codificar aoAcionarCargo",
            "Lembrete",
            javax.swing.JOptionPane.PLAIN_MESSAGE
            );
    }
    
    private void exitForm(java.awt.event.WindowEvent evt) {
        System.exit(0);
    }
    
    public static void main(String args[]) {
        new JanPrincipal().setVisible(true);
    }
    
    private javax.swing.JMenuItem jMenuCargo;
    private javax.swing.JMenuItem jMenuSair;
    private javax.swing.JMenu jMenuSistema;
    private javax.swing.JMenuItem jMenuEmpregado;
    private javax.swing.JMenu jMenuCadastro;
    private javax.swing.JMenuBar jMenuBar;
}
