/**
Classe: CopiaArquivoDois
Autor:  Ivan Mecenas
Data:   26/09/2004
*/
import java.io.*;
import java.nio.*;
import java.nio.channels.*;

public class CopiaArquivoDois {

  public static void main(String[] args) {
    try {
      FileInputStream fOrigem = new FileInputStream("ArquivoTextoUm.txt");
      FileOutputStream fDestino = new FileOutputStream("CopiaArquivoTextoUm.txt");
      FileChannel canalOrigem = fOrigem.getChannel();
      FileChannel canalDestino = fDestino.getChannel();

      canalOrigem.transferTo(0, canalOrigem.size(), canalDestino);

      fOrigem.close();
      fDestino.close();

    } catch (IOException e) {
        e.printStackTrace();
    }
  }
}
