/**
 Classe: Permissao
 Autor:  Ivan Mecenas
 Data:   21/05/2008
*/
import java.awt.*;
import java.awt.event.*;
import javax.swing.*;
import java.io.*;

public class Permissao extends JFrame {

    public Permissao() {
        addWindowListener(new WindowAdapter() {
            public void windowClosing(WindowEvent e) {
                System.exit(0);
            }
        });
    }

    public static void main(String[] args) {
        Permissao p = new Permissao();
        File fileName;
        JFileChooser jfc = new JFileChooser();
        jfc.setFileSelectionMode(JFileChooser.FILES_ONLY);
        int result = jfc.showOpenDialog(p);

        if (result == JFileChooser.CANCEL_OPTION) return;
        fileName = jfc.getSelectedFile();

        try {
            fileName.setWritable(false);
            //fileName.setWritable(true);
            JOptionPane.showMessageDialog(
                null,
                "Alterao realizada com sucesso!",
                "Mensagem",
                JOptionPane.PLAIN_MESSAGE
            );
        }
        catch (SecurityException se) {
            JOptionPane.showMessageDialog(
                null,
                "Erro na alterao do arquivo!",
                "Mensagem",
                JOptionPane.PLAIN_MESSAGE
            );
        }
    }
}
