/**
 * Classe: JanCliente
 * Autor:  Ivan Mecenas
 * Data:   12/10/2002
*/
import java.awt.*;
import java.awt.event.*;
import javax.swing.*;

public class JanCliente extends JFrame {

    private JTextField edCodigoCliente = new JTextField();
    private JTextField edNomeEmpresa = new JTextField();
    private JTextField edNomeContato = new JTextField();
    private JTextField edCargoContato = new JTextField();
    private JTextField edEndereco = new JTextField();
    private JTextField edCidade = new JTextField();
    private JTextField edRegiao = new JTextField();
    private JTextField edCEP = new JTextField();
    private JTextField edPais = new JTextField();
    private JTextField edTelefone = new JTextField();
    private JTextField edFax = new JTextField();
    private JLabel label1 = new JLabel("Cdigo do Cliente");
    private JLabel label2 = new JLabel("Nome da Empresa");
    private JLabel label3 = new JLabel("Nome do Contato");
    private JLabel label4 = new JLabel("Cargo do Contato");
    private JLabel label5 = new JLabel("Endereo");
    private JLabel label6 = new JLabel("Cidade");
    private JLabel label7 = new JLabel("Regio");
    private JLabel label8 = new JLabel("CEP");
    private JLabel label9 = new JLabel("Pas");
    private JLabel label10 = new JLabel("Telefone");
    private JLabel label11 = new JLabel("Fax");
    private JButton btnInclui = new JButton("Inclui");
    private JButton btnAltera = new JButton("Altera");
    private JButton btnExclui = new JButton("Exclui");
    private JButton btnLimpa = new JButton("Limpa");

    public JanCliente() {
        iniciaComponentes();
    }

    public void iniciaComponentes() {
        this.getContentPane().setLayout(null);
        this.setSize(483, 378);
        this.setLocation(158, 111);
        this.setTitle("Banco Northwind - Manuteno de Clientes");
        this.setResizable(false);

        edCodigoCliente.setBounds(new Rectangle(150, 37, 300, 21));
        this.getContentPane().add(edCodigoCliente, null);
        edCodigoCliente.addFocusListener (new FocusAdapter() {
            public void focusLost(FocusEvent e) {
                // Chamada ao Procedimento
                edCodigoClienteAoPerderFoco(e);
            }
        });

        edNomeEmpresa.setBounds(new Rectangle(150, 58, 300, 21));
        this.getContentPane().add(edNomeEmpresa, null);
        edNomeContato.setBounds(new Rectangle(150, 80, 300, 21));
        this.getContentPane().add(edNomeContato, null);
        edCargoContato.setBounds(new Rectangle(150, 102, 300, 21));
        this.getContentPane().add(edCargoContato, null);
        edEndereco.setBounds(new Rectangle(150, 124, 300, 21));
        this.getContentPane().add(edEndereco, null);
        edCidade.setBounds(new Rectangle(150, 146, 300, 21));
        this.getContentPane().add(edCidade, null);
        edRegiao.setBounds(new Rectangle(150, 168, 300, 21));
        this.getContentPane().add(edRegiao, null);
        edCEP.setBounds(new Rectangle(150, 190, 300, 21));
        this.getContentPane().add(edCEP, null);
        edPais.setBounds(new Rectangle(150, 212, 300, 21));
        this.getContentPane().add(edPais, null);
        edTelefone.setBounds(new Rectangle(150, 234, 300, 21));
        this.getContentPane().add(edTelefone, null);
        edFax.setBounds(new Rectangle(150, 256, 300, 21));
        this.getContentPane().add(edFax, null);
        label1.setBounds(new Rectangle(40, 42, 100, 13));
        this.getContentPane().add(label1, null);
        label2.setBounds(new Rectangle(40, 64, 110, 13));
        this.getContentPane().add(label2, null);
        label3.setBounds(new Rectangle(40, 86, 100, 13));
        this.getContentPane().add(label3, null);
        label4.setBounds(new Rectangle(40, 108, 100, 13));
        this.getContentPane().add(label4, null);
        label5.setBounds(new Rectangle(40, 130, 100, 13));
        this.getContentPane().add(label5, null);
        label6.setBounds(new Rectangle(40, 152, 100, 13));
        this.getContentPane().add(label6, null);
        label7.setBounds(new Rectangle(40, 174, 100, 13));
        this.getContentPane().add(label7, null);
        label8.setBounds(new Rectangle(40, 196, 100, 13));
        this.getContentPane().add(label8, null);
        label9.setBounds(new Rectangle(40, 218, 100, 13));
        this.getContentPane().add(label9, null);
        label10.setBounds(new Rectangle(40, 240, 100, 13));
        this.getContentPane().add(label10, null);
        label11.setBounds(new Rectangle(40, 262, 100, 13));
        this.getContentPane().add(label11, null);

        btnInclui.setBounds(new Rectangle(20, 300, 100, 30));
        this.getContentPane().add(btnInclui, null);
        btnInclui.addActionListener (new ActionListener() {
            public void actionPerformed(ActionEvent e) {
                // Chamada ao Procedimento
                btnIncluiAoAcionar(e);
            }
        });

        btnAltera.setBounds(new Rectangle(130, 300, 100, 30));
        this.getContentPane().add(btnAltera, null);
        btnAltera.addActionListener (new ActionListener() {
            public void actionPerformed(ActionEvent e) {
                // Chamada ao Procedimento
                btnAlteraAoAcionar(e);
            }
        });

        btnExclui.setBounds(new Rectangle(239, 300, 100, 30));
        this.getContentPane().add(btnExclui, null);
        btnExclui.addActionListener (new ActionListener() {
            public void actionPerformed(ActionEvent e) {
                // Chamada ao Procedimento
                btnExcluiAoAcionar(e);
            }
        });

        btnLimpa.setBounds(new Rectangle(350, 300, 100, 30));
        this.getContentPane().add(btnLimpa, null);
        btnLimpa.addActionListener (new ActionListener() {
            public void actionPerformed(ActionEvent e) {
                // Chamada ao Procedimento
                btnLimpaAoAcionar(e);
            }
        });

        this.addWindowListener(new WindowAdapter() {
            public void windowClosing(WindowEvent e) {
                aoFechar();
            }
        });
    }

    private void aoFechar() {
        dispose();
    }

    private void edCodigoClienteAoPerderFoco(FocusEvent e) {
        String qry;
        String[] cols = new String[10];

        // Muda cdigo do cliente para letras maisculas e elimina brancos
        edCodigoCliente.setText(
        edCodigoCliente.getText().toUpperCase().trim());

        // Verifica se o cdigo do cliente foi informado
        if (!(edCodigoCliente.getText().equals(""))) {
            // Estabelece conexo com o banco de dados
            ConexaoAccess ac =
                new ConexaoAccess("jdbc:odbc:Northwind", "", "");

        if (ac.conecta()) {
            // Monta query
            qry = " SELECT COUNT(*) FROM Clientes "
                + " WHERE CdigoDoCliente = "
                + " '" + edCodigoCliente.getText() + "'";
                // Verifica se o cliente existe no banco
                if (ac.regCount(qry) > 0) {
                    // Monta query
                    qry = " SELECT NomeDaEmpresa "
                        + "      , NomeDoContato "
                        + "      , CargoDoContato "
                        + "      , Endereo "
                        + "      , Cidade "
                        + "      , Regio "
                        + "      , CEP "
                        + "      , Pas "
                        + "      , Telefone "
                        + "      , Fax "
                        + " FROM Clientes "
                        + " WHERE CdigoDoCliente = "
                        + " '" + edCodigoCliente.getText() + "'";

                    // Recupera os dados do cliente
                    ac.getColumn(qry, cols);
                    edNomeEmpresa.setText("" + cols[0]);
                    edNomeContato.setText("" + cols[1]);
                    edCargoContato.setText("" + cols[2]);
                    edEndereco.setText("" + cols[3]);
                    edCidade.setText("" + cols[4]);
                    edRegiao.setText("" + cols[5]);
                    edCEP.setText("" + cols[6]);
                    edPais.setText("" + cols[7]);
                    edTelefone.setText("" + cols[8]);
                    edFax.setText("" + cols[9]);

                    // Bloqueia campo cdigo do cliente
                    edCodigoCliente.setEnabled(false);
                }
                // Desfaz conexo com o banco de dados
                ac.desconecta();
            }
        }
    }

    private void btnIncluiAoAcionar(ActionEvent e) {
        String qry;

        // Muda cdigo do cliente para letras maisculas e elimina brancos
        edCodigoCliente.setText(
        edCodigoCliente.getText().toUpperCase().trim());

        // Verifica se o cdigo do cliente foi informado
        if (!(edCodigoCliente.getText().equals(""))) {
            // Estabelece conexo com o banco de dados
            ConexaoAccess ac =
                new ConexaoAccess("jdbc:odbc:Northwind", "", "");
            if (ac.conecta()) {
                // Monta query
                qry = " SELECT COUNT(*) FROM Clientes "
                    + " WHERE CdigoDoCliente = "
                    + " '" + edCodigoCliente.getText() + "'";
                // Verifica se o cliente existe no banco
                if (ac.regCount(qry) > 0) {
                    // Registro j existe
                    JOptionPane.showMessageDialog(
                        null,
                        "O cliente j est registrado no banco de dados",
                        "Aviso",
                        JOptionPane.INFORMATION_MESSAGE);
                    }
                else {
                    // Verifica campos
                    verificaCampos();
                    // Monta query
                    qry = " INSERT INTO Clientes ("
                        + "   CdigoDoCliente "
                        + " , NomeDaEmpresa "
                        + " , NomeDoContato "
                        + " , CargoDoContato "
                        + " , Endereo "
                        + " , Cidade "
                        + " , Regio "
                        + " , CEP "
                        + " , Pas "
                        + " , Telefone "
                        + " , Fax ) "
                        + " values ("
                        + " '" + edCodigoCliente.getText() + "'"
                        + ",'" + edNomeEmpresa.getText() + "'"
                        + ",'" + edNomeContato.getText() + "'"
                        + ",'" + edCargoContato.getText() + "'"
                        + ",'" + edEndereco.getText() + "'"
                        + ",'" + edCidade.getText() + "'"
                        + ",'" + edRegiao.getText() + "'"
                        + ",'" + edCEP.getText() + "'"
                        + ",'" + edPais.getText() + "'"
                        + ",'" + edTelefone.getText() + "'"
                        + ",'" + edFax.getText() + "'"
                        + " )";
                    // Grava registro
                    ac.exeQuery(qry);
                    // Bloqueia campo cdigo do cliente
                    edCodigoCliente.setEnabled(false);
                }
                // Desconecta
                ac.desconecta();
            }
        }
    }

    private void btnAlteraAoAcionar(ActionEvent e) {
        String qry;

        // Muda cdigo do cliente para letras maisculas e elimina brancos
        edCodigoCliente.setText(
        edCodigoCliente.getText().toUpperCase().trim());

        // Verifica se o cdigo do cliente foi informado
        if (!(edCodigoCliente.getText().equals(""))) {
            // Estabelece conexo com o banco de dados
            ConexaoAccess ac =
                new ConexaoAccess("jdbc:odbc:Northwind", "", "");
            if (ac.conecta()) {
                // Monta query
                qry = " SELECT COUNT(*) FROM Clientes "
                    + " WHERE CdigoDoCliente = "
                    + " '" + edCodigoCliente.getText() + "'";
                // Verifica se o cliente existe no banco
                if (ac.regCount(qry) == 0) {
                    // Registro j existe
                    JOptionPane.showMessageDialog(
                        null,
                        "O cliente no est registrado no banco de dados",
                        "Aviso",
                        JOptionPane.INFORMATION_MESSAGE);
                    }
                else {
                    // Verifica campos
                    verificaCampos();
                    // Monta query
                    qry = " UPDATE Clientes set "
                        + "   CdigoDoCliente = '" + edCodigoCliente.getText() + "'"
                        + " , NomeDaEmpresa = '" + edNomeEmpresa.getText() + "'"
                        + " , NomeDoContato = '" + edNomeContato.getText() + "'"
                        + " , CargoDoContato = ' " + edCargoContato.getText() + "'"
                        + " , Endereo = '" + edEndereco.getText() + "'"
                        + " , Cidade = '" + edCidade.getText() + "'"
                        + " , Regio = '" + edRegiao.getText() + "'"
                        + " , CEP = '" + edCEP.getText() + "'"
                        + " , Pas = '" + edPais.getText() + "'"
                        + " , Telefone = '" + edTelefone.getText() + "'"
                        + " , Fax = '" + edFax.getText() + "'"
                        + " WHERE CdigoDoCliente = "
                        + " '" + edCodigoCliente.getText() + "'";
                    // Grava registro
                    ac.exeQuery(qry);
                    // Bloqueia campo cdigo do cliente
                    edCodigoCliente.setEnabled(false);
                }
                // Desconecta
                ac.desconecta();
            }
        }
    }

    private void btnExcluiAoAcionar(ActionEvent e) {
        String qry;

        // Muda cdigo do cliente para letras maisculas e elimina brancos
        edCodigoCliente.setText(
        edCodigoCliente.getText().toUpperCase().trim());

        // Verifica se o cdigo do cliente foi informado
        if (!(edCodigoCliente.getText().equals(""))) {
            // Estabelece conexo com o banco de dados
            ConexaoAccess ac =
                new ConexaoAccess("jdbc:odbc:Northwind", "", "");
            if (ac.conecta()) {
                // Monta query
                qry = " SELECT COUNT(*) FROM Clientes "
                    + " WHERE CdigoDoCliente = "
                    + " '" + edCodigoCliente.getText() + "'";
                // Verifica se o cliente existe no banco
                if (ac.regCount(qry) == 0) {
                    // Registro j existe
                    JOptionPane.showMessageDialog(
                        null,
                        "O cliente no est registrado no banco de dados",
                        "Aviso",
                        JOptionPane.INFORMATION_MESSAGE);
                    }
                else {
                    // Monta query
                    qry = " DELETE FROM Clientes "
                        + " WHERE CdigoDoCliente = "
                        + " '" + edCodigoCliente.getText() + "'";
                    // Elimina registro
                    ac.exeQuery(qry);
                    // Limpa campos
                    btnLimpaAoAcionar(e);
                }
                // Desconecta
                ac.desconecta();
            }
        }
    }

    private void btnLimpaAoAcionar(ActionEvent e) {
        // Limpa os campos
        edCodigoCliente.setText("");
        edNomeEmpresa.setText("");
        edNomeContato.setText("");
        edCargoContato.setText("");
        edEndereco.setText("");
        edCidade.setText("");
        edRegiao.setText("");
        edCEP.setText("");
        edPais.setText("");
        edTelefone.setText("");
        edFax.setText("");
        // Libera campo cdigo do cliente
        edCodigoCliente.setEnabled(true);
        // Foco no campo cdigo do cliente
        edCodigoCliente.requestFocus();
    }

    private void verificaCampos() {
        if (edNomeEmpresa.getText().trim().equals(""))
            edNomeEmpresa.setText(" ");
        if (edNomeContato.getText().trim().equals(""))
            edNomeContato.setText(" ");
        if (edCargoContato.getText().trim().equals(""))
            edCargoContato.setText(" ");
        if (edEndereco.getText().trim().equals(""))
            edEndereco.setText(" ");
        if (edCidade.getText().trim().equals(""))
            edCidade.setText(" ");
        if (edRegiao.getText().trim().equals(""))
            edRegiao.setText(" ");
        if (edCEP.getText().trim().equals(""))
            edCEP.setText(" ");
        if (edPais.getText().trim().equals(""))
            edPais.setText(" ");
        if (edTelefone.getText().trim().equals(""))
            edTelefone.setText(" ");
        if (edFax.getText().trim().equals(""))
            edFax.setText(" ");
    }
}
