/**
 Classe: Visual
 Autor:  Ivan Mecenas
 Data:   20/05/2008
*/
import javax.swing.*;          
import java.awt.*;
import java.awt.event.*;
import javax.swing.plaf.metal.*;

public class Visual {

    public void novoVisual(String look) {
        String lookAndFeel = null;
       
        if (look != null) {
            if (look.equals("Metal")) {
                lookAndFeel = UIManager.getCrossPlatformLookAndFeelClassName();
            }
            else if (look.equals("System")) {
                lookAndFeel = UIManager.getSystemLookAndFeelClassName();
            } 
            else if (look.equals("Motif")) {
                lookAndFeel = "com.sun.java.swing.plaf.motif.MotifLookAndFeel";
            } 
            else if (look.equals("Nimbus")) { 
                lookAndFeel = "com.sun.java.swing.plaf.nimbus.NimbusLookAndFeel";
            } 
            else {
                lookAndFeel = UIManager.getCrossPlatformLookAndFeelClassName();
            }
            try {
                UIManager.setLookAndFeel(lookAndFeel);
            } 
            catch (ClassNotFoundException e) {
                System.err.println("Classe " + look + " no encontrada!");
            } 
            catch (UnsupportedLookAndFeelException e) {
                System.err.println("Look " + look + " no suportado!");
            } 
            catch (Exception e) {
                System.err.println("Look " + look + " rejeitado!");
                e.printStackTrace();
            }
        }
    }
}
