/**
 Classe: TestaCopiaArray
 Autor:  Ivan Mecenas
 Data:   21/05/2008
*/
import java.util.*;

public class TestaCopiaArray {

    public static void main(String[] args) {
        char[] origem = {'m', 'e', 'c', 'e', 'n', 'a', 's'};
        char[] destino = new char[5];
        char[] destino2 = new char[7];

        System.out.println("Testando arraycopy");
        System.arraycopy(origem, 2, destino, 0, 5);
        System.out.println(new String(destino));
        
        System.out.println("Testando copyOfRange (JDK 6)");
        char[] novoDestino = Arrays.copyOfRange(origem, 2, 7);       
        System.out.println(new String(novoDestino));
        
        System.out.println("");
        System.out.println("Testando arraycopy");
        System.arraycopy(origem, 0, destino2, 0, 7);
        System.out.println(new String(destino2));
        
        System.out.println("Testando copyOf (JDK 6)");
        char[] novoDestino2 = Arrays.copyOf(origem, 7);       
        System.out.println(new String(novoDestino2));

   }
}
