/**
 Classe: EventoCinco
 Autor:  Ivan Mecenas
 Data:   22/11/2002
*/
import java.awt.*;
import java.awt.event.*;
import javax.swing.*;

public class EventoCinco extends JFrame implements KeyListener {

  public EventoCinco() {

    super("Entendendo Eventos");

    addWindowListener(new WindowAdapter() {
      public void windowClosing(WindowEvent e) {
        System.exit(0);
      }
    });

    addKeyListener(this);
  }

  public static void main(String[] args) {
    EventoCinco frame = new EventoCinco();
    frame.pack();
    frame.setSize(600, 400);
    frame.setVisible(true);
  }

  public void keyPressed(KeyEvent evt)
  {
    String msg = "Tecla pressionada: " + evt.getKeyCode();
    JOptionPane.showMessageDialog(null, msg);
  }

  public void keyTyped(KeyEvent evt)
  {
    String msg = "Tecla digitada: " + evt.getKeyChar();
    JOptionPane.showMessageDialog(null, msg);
  }

  public void keyReleased(KeyEvent evt)
  {
    String msg = "Tecla liberada: " + evt.getKeyText(evt.getKeyCode());
    JOptionPane.showMessageDialog(null, msg);
  }
}