/**
 Classe: FrameLayoutUm
 Autor:  Ivan Mecenas
 Data:   21/11/2002
*/
import java.awt.*;
import java.awt.event.*;
import javax.swing.*;

public class FrameLayoutUm extends JFrame {

  private JButton btnNorte = new JButton("Norte/NORTH");
  private JButton btnSul = new JButton("Sul/SOUTH");
  private JButton btnLeste = new JButton("Leste/EAST");
  private JButton btnOeste = new JButton("Oeste/WEST");
  private JButton btnCentro = new JButton("Centro/CENTER");

  public FrameLayoutUm() {

    addWindowListener(new WindowAdapter() {
      public void windowClosing(WindowEvent e) {
        System.exit(0);
      }
    });

    getContentPane().setLayout(new BorderLayout());
    getContentPane().add(btnNorte, BorderLayout.NORTH);
    getContentPane().add(btnSul, BorderLayout.SOUTH);
    getContentPane().add(btnLeste, BorderLayout.EAST);
    getContentPane().add(btnOeste, BorderLayout.WEST);
    getContentPane().add(btnCentro, BorderLayout.CENTER);
  }

  public static void main(String[] args) {
    FrameLayoutUm frame = new FrameLayoutUm();
    frame.setTitle("BorderLayout - Demonstrao");
    frame.pack();
    Dimension screenSize = Toolkit.getDefaultToolkit().getScreenSize();
    frame.setSize(new Dimension(400, 200));
    frame.setLocation((screenSize.width-400)/2,(screenSize.height-200)/2);
    frame.setVisible(true);
  }
}