/**
Classe: CopiaArquivoUm
Autor:  Ivan Mecenas
Data:   26/09/2004
*/
import java.io.*;
import java.nio.*;
import java.nio.channels.*;

public class CopiaArquivoUm {

  public static void main(String[] args) {
    try {
      FileInputStream fOrigem = new FileInputStream("ArquivoTextoUm.txt");
      FileOutputStream fDestino = new FileOutputStream("CopiaArquivoTextoUm.txt");
      FileChannel canalOrigem = fOrigem.getChannel();
      FileChannel canalDestino = fDestino.getChannel();

      ByteBuffer buf = ByteBuffer.allocate(1024);

      while (canalOrigem.read(buf) != -1) {
	buf.flip();
	canalDestino.write(buf);
	buf.compact();
      }

      fOrigem.close();
      fDestino.close();

      } catch (IOException e) {
         e.printStackTrace();
    }
  }
}
