/**
 Classe: CriarArquivoTexto
 Autor:  Ivan Mecenas
 Data:   18/11/2002
*/
import java.io.*;
import javax.swing.*;

public class CriarArquivoTexto {

  public static void main(String[] args) {
    CriarArquivoTexto arqTxt = new CriarArquivoTexto();

    try {
      arqTxt.criaArquivoTexto("ArquivoTextoUm.txt");
      arqTxt.criaArquivoTexto("ArquivoTextoDois.txt");
      arqTxt.criaArquivoTexto("ArquivoTextoTres.txt");
    }
    catch (IOException ioe) {
      JOptionPane.showMessageDialog(
        null,
        "Erro na criao do arquivo",
        "Mensagem",
        JOptionPane.PLAIN_MESSAGE
        );
    }
  }

  private void criaArquivoTexto(String nomArq) throws IOException {
    BufferedWriter bw = new BufferedWriter(new FileWriter(nomArq));

    for (int i = 1; i <= 20; i++) {
      if (i == 1) {
        bw.write("Este  o arquivo " + nomArq + "\n");
        bw.newLine();
      }
      bw.write("Esta  linha de nmero " + i);
      bw.newLine();
    }

    bw.close();
    System.out.println("Arquivo " + nomArq + " criado");
  }
}
