/**
 Classe: Espaco
 Autor:  Ivan Mecenas
 Data:   21/05/2008
*/
import java.awt.*;
import java.awt.event.*;
import javax.swing.*;
import java.io.*;

public class Espaco extends JFrame {

    public Espaco() {
        addWindowListener(new WindowAdapter() {
            public void windowClosing(WindowEvent e) {
                System.exit(0);
            }
        });
    }

    public static void main(String[] args) {
        Espaco p = new Espaco();
        File fileName = new File ("C:");
        long espaco;

        try {
            espaco = fileName.getTotalSpace();
            System.out.println("Espao total : " + espaco + " bytes");
            espaco = fileName.getFreeSpace();
            System.out.println("Espao livre : " + espaco + " bytes");
            espaco = fileName.getUsableSpace();
            System.out.println("Espao usvel: " + espaco + " bytes");
        }
        catch (SecurityException se) {
            JOptionPane.showMessageDialog(
                null,
                "Erro na operao com o arquivo!",
                "Mensagem",
                JOptionPane.PLAIN_MESSAGE
            );
        }
    }
}
