/**
 Classe: LerArquivoTextoTres
 Autor:  Ivan Mecenas
 Data:   21/05/2008
*/
import java.awt.*;
import java.awt.event.*;
import javax.swing.*;
import java.io.*;
import java.net.URL;

public class LerArquivoTextoTres extends JFrame {

    public static void main(String[] args) {
        LerArquivoTextoTres arqTxt = new LerArquivoTextoTres();
        File fileName;
        JFileChooser jfc = new JFileChooser();
        jfc.setFileSelectionMode(JFileChooser.FILES_ONLY);
        int result = jfc.showOpenDialog(arqTxt);

        if (result == JFileChooser.CANCEL_OPTION) return;
            fileName = jfc.getSelectedFile();

        if (fileName == null || fileName.getName().equals("")) {
        }
        else {
            try {
                arqTxt.leArquivoTexto(fileName.getName());
            }
            catch (IOException ioe) {
                JOptionPane.showMessageDialog(
                    null,
                    "Erro na leitura do arquivo",
                    "Mensagem",
                    JOptionPane.PLAIN_MESSAGE
                );
            }
        }
    }

    private void leArquivoTexto(String nomArq) throws IOException {
        URL url = getClass().getResource(nomArq);
        InputStreamReader isr = new InputStreamReader(url.openStream());
        BufferedReader br = new BufferedReader(isr);
        String texto = "";

        Container c = getContentPane();
        JTextArea jta = new JTextArea(10, 20);
        c.add(new JScrollPane(jta));
    
        while ((texto = br.readLine()) != null) {
            jta.append(texto  + "\n");
        }

        br.close();
 
        JOptionPane.showMessageDialog(
            null,
            jta,
            "Classe LerArquivoTres",
            JOptionPane.INFORMATION_MESSAGE
        );
        
        System.exit(0);
    }
}
