/**
 * Classe: JanPrincipal
 * Autor:  Ivan Mecenas
 * Data:   12/10/2002
*/
import java.awt.*;
import java.awt.event.*;
import javax.swing.*;

public class JanPrincipal extends JFrame {

    private JLabel label1 = new JLabel("PROJETO CONEXO ACCESS");
    private JButton btnClientes = new JButton("Manuteno de Clientes");
    private JButton btnCategorias = new JButton("Pesquisa Categorias");
    private JButton btnSai = new JButton("Sai");

    public JanPrincipal() {
        iniciaComponentes();
    }

    public void iniciaComponentes() {
        this.getContentPane().setLayout(null);
        this.setSize(483, 378);
        this.setLocation(158, 111);
        this.setTitle("Banco Northwind - Menu Principal");
        this.setResizable(false);

        label1.setBounds(new Rectangle(79, 80, 200, 13));
        this.getContentPane().add(label1, null);

        btnClientes.setBounds(new Rectangle(130, 130, 200, 30));
        this.getContentPane().add(btnClientes, null);
        btnClientes.addActionListener (new ActionListener() {
            public void actionPerformed(ActionEvent e) {
                // Chamada ao Procedimento
                btnClientesAoAcionar(e);
            }
        });

        btnCategorias.setBounds(new Rectangle(130, 170, 200, 30));
        this.getContentPane().add(btnCategorias, null);
        btnCategorias.addActionListener (new ActionListener() {
            public void actionPerformed(ActionEvent e) {
                // Chamada ao Procedimento
                btnCategoriasAoAcionar(e);
            }
        });

        btnSai.setBounds(new Rectangle(130, 210, 200, 30));
        this.getContentPane().add(btnSai, null);
        btnSai.addActionListener (new ActionListener() {
            public void actionPerformed(ActionEvent e) {
                // Chamada ao Procedimento
                btnSaiAoAcionar(e);
            }
        });

        this.addWindowListener(new WindowAdapter() {
            public void windowClosing(WindowEvent e) {
                aoFechar();
            }
        });
    }

    private void aoFechar() {
        System.exit(0);
    }

    public static void main(String[] args) {
        JanPrincipal jan = new JanPrincipal();
        jan.setVisible(true);
    }

    private void btnClientesAoAcionar(ActionEvent e) {
        new JanCliente().setVisible(true);
    }

    private void btnCategoriasAoAcionar(ActionEvent e) {
        new JanCategoria().setVisible(true);
    }

    private void btnSaiAoAcionar(ActionEvent e) {
        aoFechar();
    }
}
