/**
 Classe: JanMenu
 Autor:  Ivan Mecenas
 Data:   13/10/2002
*/
public class JanMenu extends javax.swing.JFrame {

    public JanMenu() {
        initComponents();
        this.setLocation(0, 0);
    }

    private void initComponents() {
        jMenuBar1 = new javax.swing.JMenuBar();
        mnuArquivos = new javax.swing.JMenu();
        mnuManutPaises = new javax.swing.JMenuItem();
        mnuManuCargos = new javax.swing.JMenuItem();
        mnuAjuda = new javax.swing.JMenu();
        mnuSobre = new javax.swing.JMenuItem();

        getContentPane().setLayout(null);

        setTitle("Menu Principal");
        setName("JanMenu");
        addWindowListener(new java.awt.event.WindowAdapter() {
            public void windowClosing(java.awt.event.WindowEvent evt) {
                exitForm(evt);
            }
        });

        mnuArquivos.setMnemonic('A');
        mnuArquivos.setText("Arquivos");
        mnuArquivos.setFont(new java.awt.Font("Arial", 1, 12));
        mnuArquivos.setName("mnuArquivos");
        mnuManutPaises.setFont(new java.awt.Font("Arial", 0, 12));
        mnuManutPaises.setText("Manuteno de Pases");
        mnuManutPaises.setName("mnuManutPaises");
        mnuManutPaises.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                mnuManutPaisesActionPerformed(evt);
            }
        });

        mnuArquivos.add(mnuManutPaises);
        mnuManuCargos.setFont(new java.awt.Font("Arial", 0, 12));
        mnuManuCargos.setText("Manuteno de Cargos");
        mnuManuCargos.setName("mnuManuCargos");
        mnuManuCargos.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                mnuManuCargosActionPerformed(evt);
            }
        });

        mnuArquivos.add(mnuManuCargos);
        jMenuBar1.add(mnuArquivos);
        mnuAjuda.setMnemonic('A');
        mnuAjuda.setText("Ajuda");
        mnuAjuda.setFont(new java.awt.Font("Arial", 1, 12));
        mnuAjuda.setName("mnuAjuda");
        mnuSobre.setFont(new java.awt.Font("Arial", 0, 12));
        mnuSobre.setMnemonic('S');
        mnuSobre.setText("Sobre");
        mnuSobre.setName("mnuSobre");
        mnuSobre.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                mnuSobreActionPerformed(evt);
            }
        });

        mnuAjuda.add(mnuSobre);
        jMenuBar1.add(mnuAjuda);
        setJMenuBar(jMenuBar1);

        setSize(new java.awt.Dimension(800, 580));
    }

    private void mnuSobreActionPerformed(java.awt.event.ActionEvent evt) {
        new JanSobre(new javax.swing.JFrame(), true).setVisible(true);
    }

    private void mnuManuCargosActionPerformed(java.awt.event.ActionEvent evt) {
        new JanCargos().setVisible(true);
    }

    private void mnuManutPaisesActionPerformed(java.awt.event.ActionEvent evt) {
        new JanPaises().setVisible(true);
    }

    private void exitForm(java.awt.event.WindowEvent evt) {
        System.exit(0);
    }

    public static void main(String args[]) {
        new JanMenu().setVisible(true);
    }

    private javax.swing.JMenuItem mnuSobre;
    private javax.swing.JMenu mnuArquivos;
    private javax.swing.JMenuItem mnuManutPaises;
    private javax.swing.JMenuItem mnuManuCargos;
    private javax.swing.JMenu mnuAjuda;
    private javax.swing.JMenuBar jMenuBar1;
}
