/**
 Classe: JanCargos
 Autor:  Ivan Mecenas
 Data:   13/10/2002
*/
import javax.swing.*;

public class JanCargos extends javax.swing.JFrame {

    private JScrollPane scroller = new JScrollPane();
    
    public JanCargos() {
        initComponents();
    }
    
    private void initComponents() {
        jPanel1 = new javax.swing.JPanel();
        btnGrava = new javax.swing.JButton();
        btnExclui = new javax.swing.JButton();
        btnLimpa = new javax.swing.JButton();
        btnPesquisa = new javax.swing.JButton();
        btnSai = new javax.swing.JButton();
        jPanel2 = new javax.swing.JPanel();
        jLabel1 = new javax.swing.JLabel();
        edJobCode = new javax.swing.JTextField();
        edJobGrade = new javax.swing.JTextField();
        edJobCountry = new javax.swing.JTextField();
        edJobTitle = new javax.swing.JTextField();
        edMinSalary = new javax.swing.JTextField();
        edMaxSalary = new javax.swing.JTextField();
        textJobRequirement = new javax.swing.JTextArea();
        jLabel2 = new javax.swing.JLabel();
        jLabel3 = new javax.swing.JLabel();
        jLabel4 = new javax.swing.JLabel();
        jLabel5 = new javax.swing.JLabel();
        jLabel6 = new javax.swing.JLabel();
        jLabel7 = new javax.swing.JLabel();

        setTitle("Manuteno de Cargos");
        addWindowListener(new java.awt.event.WindowAdapter() {
            public void windowClosing(java.awt.event.WindowEvent evt) {
                exitForm(evt);
            }
        });

        jPanel1.setBorder(new javax.swing.border.EtchedBorder());
        btnGrava.setText("Grava");
        btnGrava.setName("btnGrava");
        btnGrava.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                btnGravaActionPerformed(evt);
            }
        });

        jPanel1.add(btnGrava);

        btnExclui.setText("Exclui");
        btnExclui.setName("btnExclui");
        btnExclui.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                btnExcluiActionPerformed(evt);
            }
        });

        jPanel1.add(btnExclui);

        btnLimpa.setText("Limpa");
        btnLimpa.setName("btnLimpa");
        btnLimpa.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                btnLimpaActionPerformed(evt);
            }
        });

        jPanel1.add(btnLimpa);

        btnPesquisa.setText("Pesquisa");
        btnPesquisa.setName("btnPesquisa");
        btnPesquisa.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                btnPesquisaActionPerformed(evt);
            }
        });

        jPanel1.add(btnPesquisa);

        btnSai.setText("Sai");
        btnSai.setName("btnSai");
        btnSai.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                btnSaiActionPerformed(evt);
            }
        });

        jPanel1.add(btnSai);

        getContentPane().add(jPanel1, java.awt.BorderLayout.SOUTH);

        jPanel2.setLayout(null);

        jLabel1.setFont(new java.awt.Font("Dialog", 0, 12));
        jLabel1.setText("Cdigo");
        jPanel2.add(jLabel1);
        jLabel1.setBounds(60, 20, 80, 16);

        edJobCode.setName("edJobCode");
        jPanel2.add(edJobCode);
        edJobCode.setBounds(150, 20, 360, 20);

        edJobGrade.setName("edJobGrade");
        jPanel2.add(edJobGrade);
        edJobGrade.setBounds(150, 50, 360, 20);

        edJobCountry.setName("edJobCountry");
        edJobCountry.addFocusListener(new java.awt.event.FocusAdapter() {
            public void focusLost(java.awt.event.FocusEvent evt) {
                edJobCountryFocusLost(evt);
            }
        });

        jPanel2.add(edJobCountry);
        edJobCountry.setBounds(150, 80, 360, 20);

        edJobTitle.setName("edJobTitle");
        jPanel2.add(edJobTitle);
        edJobTitle.setBounds(150, 110, 360, 20);

        edMinSalary.setName("edMinSalary");
        jPanel2.add(edMinSalary);
        edMinSalary.setBounds(150, 140, 360, 20);

        edMaxSalary.setName("edMaxSalary");
        jPanel2.add(edMaxSalary);
        edMaxSalary.setBounds(150, 170, 360, 20);

        textJobRequirement.setLineWrap(true);
        textJobRequirement.setWrapStyleWord(true);
        textJobRequirement.setBorder(new javax.swing.border.LineBorder(new java.awt.Color(0, 0, 0)));
        textJobRequirement.setName("textJobRequirement");
        jPanel2.add(textJobRequirement);
        textJobRequirement.setBounds(150, 200, 360, 130);

        jLabel2.setFont(new java.awt.Font("Dialog", 0, 12));
        jLabel2.setText("Grau");
        jPanel2.add(jLabel2);
        jLabel2.setBounds(60, 50, 80, 16);

        jLabel3.setFont(new java.awt.Font("Dialog", 0, 12));
        jLabel3.setText("Pas");
        jPanel2.add(jLabel3);
        jLabel3.setBounds(60, 80, 25, 16);

        jLabel4.setFont(new java.awt.Font("Dialog", 0, 12));
        jLabel4.setText("Ttulo");
        jPanel2.add(jLabel4);
        jLabel4.setBounds(60, 110, 30, 16);

        jLabel5.setFont(new java.awt.Font("Dialog", 0, 12));
        jLabel5.setText("Menor salrio");
        jPanel2.add(jLabel5);
        jLabel5.setBounds(60, 140, 80, 16);

        jLabel6.setFont(new java.awt.Font("Dialog", 0, 12));
        jLabel6.setText("Maior salrio");
        jPanel2.add(jLabel6);
        jLabel6.setBounds(60, 170, 80, 16);

        jLabel7.setFont(new java.awt.Font("Dialog", 0, 12));
        jLabel7.setText("Requisitos");
        jPanel2.add(jLabel7);
        jLabel7.setBounds(60, 200, 80, 16);

        getContentPane().add(jPanel2, java.awt.BorderLayout.CENTER);

        pack();
        java.awt.Dimension screenSize = java.awt.Toolkit.getDefaultToolkit().getScreenSize();
        setSize(new java.awt.Dimension(600, 420));
        setLocation((screenSize.width-600)/2,(screenSize.height-420)/2);
    }

    private void edJobCountryFocusLost(java.awt.event.FocusEvent evt) {
        // Elimina brancos
        edJobCode.setText(edJobCode.getText().trim());
        edJobGrade.setText(edJobGrade.getText().trim());
        edJobCountry.setText(edJobCountry.getText().trim());

        if (edJobCode.getText().equals("") ||
            edJobGrade.getText().equals("") ||
            edJobCountry.getText().equals("")) {
          return;     
        }       
        edJobCountryAoPerderFoco();    
    }

    private void btnSaiActionPerformed(java.awt.event.ActionEvent evt) {
        dispose();
    }

    private void btnPesquisaActionPerformed(java.awt.event.ActionEvent evt) {
        edJobCode.setText(JOptionPane.showInputDialog("Digite o cdigo do cargo"));
        edJobGrade.setText(JOptionPane.showInputDialog("Digite o grau do cargo"));
        edJobCountry.setText(JOptionPane.showInputDialog("Digite o pas do cargo"));
        
        if (edJobCode.getText().equals("") ||
            edJobGrade.getText().equals("") ||
            edJobCountry.getText().equals("")) {
            return;     
        }
        
        edJobCountryAoPerderFoco();
        edJobTitle.requestFocus();
    }

    private void btnLimpaActionPerformed(java.awt.event.ActionEvent evt) {
        edJobCode.setText("");
        edJobGrade.setText("");
        edJobCountry.setText("");
        edJobTitle.setText("");
        edMinSalary.setText("");
        edMaxSalary.setText("");
        textJobRequirement.setText("");
        edJobCode.setEnabled(true);
        edJobGrade.setEnabled(true);
        edJobCountry.setEnabled(true);
        edJobCode.requestFocus();
    }

    private void btnExcluiActionPerformed(java.awt.event.ActionEvent evt) {
        String qry;

        edJobCode.setText(edJobCode.getText().trim());
        edJobGrade.setText(edJobGrade.getText().trim());
        edJobCountry.setText(edJobCountry.getText().trim());

        if (edJobCode.getText().equals("") ||
            edJobGrade.getText().equals("") ||
            edJobCountry.getText().equals("")) {
            return;     
        }       

        // Estabelece conexo com o banco de dados
        ConexaoFirebird ac = new ConexaoFirebird();
        ac.setURL("jdbc:firebirdsql:localhost/3050:C:\\Livros\\Java3ed\\Exemplos\\db\\Employee.fdb");
        ac.setUserName("SYSDBA");
        ac.setPassword("masterkey");

        if (ac.conecta()) {
            // Monta query
            qry = " SELECT COUNT(*) FROM Job "
                + " WHERE Job_Code    = '" + edJobCode.getText() + "'"
                + " AND   Job_Grade   =  " + edJobGrade.getText()
                + " AND   Job_Country = '" + edJobCountry.getText() + "'";
              
            // Verifica se o cargo existe no banco
            if (ac.regCount(qry) > 0) {
                // Monta query para excluir
                qry = " DELETE FROM Job "
                    + " WHERE Job_Code    = '" + edJobCode.getText() + "'"
                    + " AND   Job_Grade   =  " + edJobGrade.getText()
                    + " AND   Job_Country = '" + edJobCountry.getText() + "'";

                // Exclui registro
                ac.exeQuery(qry);
                
                // Limpa campos
                btnLimpaActionPerformed(evt);
            } else {
                JOptionPane.showMessageDialog(
                    null,
                    "O cargo no existe no banco de dados!",
                    "Aviso",
                    JOptionPane.WARNING_MESSAGE);
            }
          
            // Desfaz conexo com o banco de dados
            ac.desconecta();
        }
    }

    private void btnGravaActionPerformed(java.awt.event.ActionEvent evt) {
        String qry;

        edJobCode.setText(edJobCode.getText().trim());
        edJobGrade.setText(edJobGrade.getText().trim());
        edJobCountry.setText(edJobCountry.getText().trim());

        if (edJobCode.getText().equals("") ||
            edJobGrade.getText().equals("") ||
            edJobCountry.getText().equals("")) {
          return;     
        }       

        // Estabelece conexo com o banco de dados
        ConexaoFirebird ac = new ConexaoFirebird();
        ac.setURL("jdbc:firebirdsql:localhost/3050:C:\\Livros\\Java3ed\\Exemplos\\db\\Employee.fdb");
        ac.setUserName("SYSDBA");
        ac.setPassword("masterkey");

        if (ac.conecta()) {
            // Monta query
            qry = " SELECT COUNT(*) FROM Job "
                + " WHERE Job_Code    = '" + edJobCode.getText() + "'"
                + " AND   Job_Grade   =  " + edJobGrade.getText()
                + " AND   Job_Country = '" + edJobCountry.getText() + "'";
              
            // Verifica se o cargo existe no banco
            if (ac.regCount(qry) > 0) {
                // Monta query para atualizar
                qry = " UPDATE Job set "
                    + "        Job_Title       = '" + edJobTitle.getText() + "'"
                    + "      , Min_Salary      = "  + edMinSalary.getText()
                    + "      , Max_Salary      = "  + edMaxSalary.getText()
                    + "      , Job_Requirement = '" + textJobRequirement.getText() + "'"
                    + " WHERE  Job_Code        = '" + edJobCode.getText() + "'"
                    + " AND    Job_Grade       =  " + edJobGrade.getText()
                    + " AND    Job_Country     = '" + edJobCountry.getText() + "'";

                // Atualiza registro
                ac.exeQuery(qry);
            } else {
                // Monta query para inserir
                qry = " INSERT INTO Job (Job_Code, Job_Grade, Job_Country, "
                    + "   Job_Title, Min_Salary, Max_Salary, Job_Requirement)"
                    + "   values ("
                    + "  '" + edJobCode.getText() + "'"
                    + " , " + edJobGrade.getText()
                    + " ,'" + edJobCountry.getText() + "'"
                    + " ,'" + edJobTitle.getText() + "'"
                    + " , " + edMinSalary.getText()
                    + " , " + edMaxSalary.getText()
                    + " ,'" + textJobRequirement.getText() + "')";

                // Insere registro
                ac.exeQuery(qry);
            }
          
            // Desfaz conexo com o banco de dados
            ac.desconecta();
          
            // Libera campos chaves
            edJobCode.setEnabled(true);
            edJobGrade.setEnabled(true);
            edJobCountry.setEnabled(true);
        }
    }
    
     private void edJobCountryAoPerderFoco() {
        String qry;
        String[] cols = new String[4];

        // Elimina brancos
        edJobCode.setText(edJobCode.getText().trim());
        edJobGrade.setText(edJobGrade.getText().trim());
        edJobCountry.setText(edJobCountry.getText().trim());

        if (edJobCode.getText().equals("") ||
            edJobGrade.getText().equals("") ||
            edJobCountry.getText().equals("")) {
          return;     
        }       
       
        // Estabelece conexo com o banco de dados
        ConexaoFirebird ac =
            new ConexaoFirebird();
        ac.setURL("jdbc:firebirdsql:localhost/3050:C:\\Livros\\Java3ed\\Exemplos\\db\\Employee.fdb");
        ac.setUserName("SYSDBA");
        ac.setPassword("masterkey");

        if (ac.conecta()) {
            // Monta query
            qry = " SELECT COUNT(*) FROM Job "
                + " WHERE Job_Code    = '" + edJobCode.getText() + "'"
                + " AND   Job_Grade   =  " + edJobGrade.getText()
                + " AND   Job_Country = '" + edJobCountry.getText() + "'";
              
            // Verifica se o cargo existe no banco
            if (ac.regCount(qry) > 0) {
                // Monta query
                qry = " SELECT Job_Title, Min_Salary, Max_Salary, Job_Requirement "
                    + " FROM Job "
                    + " WHERE Job_Code    = '" + edJobCode.getText() + "'"
                    + " AND   Job_Grade   =  " + edJobGrade.getText()
                    + " AND   Job_Country = '" + edJobCountry.getText() + "'";
            
                // Recupera os dados do cargo
                ac.getColumn(qry, cols);
                edJobTitle.setText("" + cols[0]);
                edMinSalary.setText("" + cols[1]);
                edMaxSalary.setText("" + cols[2]);
                textJobRequirement.setText("" + cols[3]);

                // Bloqueia campos-chaves
                edJobCode.setEnabled(false);
                edJobGrade.setEnabled(false);
                edJobCountry.setEnabled(false);
            }
            
            // Desfaz conexo com o banco de dados
            ac.desconecta();
        }
    }    
     
    private void exitForm(java.awt.event.WindowEvent evt) {
        dispose();
    }
        
    private javax.swing.JLabel jLabel4;
    private javax.swing.JTextField edMaxSalary;
    private javax.swing.JTextField edJobTitle;
    private javax.swing.JLabel jLabel1;
    private javax.swing.JLabel jLabel3;
    private javax.swing.JButton btnGrava;
    private javax.swing.JLabel jLabel2;
    private javax.swing.JPanel jPanel2;
    private javax.swing.JButton btnExclui;
    private javax.swing.JTextField edJobCountry;
    private javax.swing.JTextField edJobGrade;
    private javax.swing.JTextField edJobCode;
    private javax.swing.JLabel jLabel7;
    private javax.swing.JTextField edMinSalary;
    private javax.swing.JButton btnSai;
    private javax.swing.JTextArea textJobRequirement;
    private javax.swing.JPanel jPanel1;
    private javax.swing.JButton btnLimpa;
    private javax.swing.JButton btnPesquisa;
    private javax.swing.JLabel jLabel6;
    private javax.swing.JLabel jLabel5;
}
