/**
 Classe: JanPaises
 Autor:  Ivan Mecenas
 Data:   14/10/2002
*/
import javax.swing.*;

public class JanPaises extends javax.swing.JFrame {
    
    public JanPaises() {
        initComponents();
    }
    
    private void initComponents() {
        jPanel1 = new javax.swing.JPanel();
        btnGrava = new javax.swing.JButton();
        btnExclui = new javax.swing.JButton();
        btnLimpa = new javax.swing.JButton();
        btnPesquisa = new javax.swing.JButton();
        btnSai = new javax.swing.JButton();
        jPanel2 = new javax.swing.JPanel();
        jLabel1 = new javax.swing.JLabel();
        jLabel2 = new javax.swing.JLabel();
        edCountry = new javax.swing.JTextField();
        edCurrency = new javax.swing.JTextField();

        setTitle("Manuteno de Pases");
        addWindowListener(new java.awt.event.WindowAdapter() {
            public void windowClosing(java.awt.event.WindowEvent evt) {
                exitForm(evt);
            }
        });

        jPanel1.setBorder(new javax.swing.border.EtchedBorder());
        btnGrava.setText("Grava");
        btnGrava.setName("btnGrava");
        btnGrava.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                btnGravaActionPerformed(evt);
            }
        });

        jPanel1.add(btnGrava);

        btnExclui.setText("Exclui");
        btnExclui.setName("btnExclui");
        btnExclui.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                btnExcluiActionPerformed(evt);
            }
        });

        jPanel1.add(btnExclui);

        btnLimpa.setText("Limpa");
        btnLimpa.setName("btnLimpa");
        btnLimpa.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                btnLimpaActionPerformed(evt);
            }
        });

        jPanel1.add(btnLimpa);

        btnPesquisa.setText("Pesquisa");
        btnPesquisa.setName("btnPesquisa");
        btnPesquisa.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                btnPesquisaActionPerformed(evt);
            }
        });

        jPanel1.add(btnPesquisa);

        btnSai.setText("Sai");
        btnSai.setName("btnSai");
        btnSai.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                btnSaiActionPerformed(evt);
            }
        });

        jPanel1.add(btnSai);

        getContentPane().add(jPanel1, java.awt.BorderLayout.SOUTH);

        jPanel2.setLayout(null);

        jLabel1.setFont(new java.awt.Font("Dialog", 0, 12));
        jLabel1.setText("Pas");
        jPanel2.add(jLabel1);
        jLabel1.setBounds(120, 144, 25, 16);

        jLabel2.setFont(new java.awt.Font("Dialog", 0, 12));
        jLabel2.setText("Moeda");
        jPanel2.add(jLabel2);
        jLabel2.setBounds(120, 174, 37, 16);

        edCountry.addFocusListener(new java.awt.event.FocusAdapter() {
            public void focusLost(java.awt.event.FocusEvent evt) {
                edCountryFocusLost(evt);
            }
        });

        jPanel2.add(edCountry);
        edCountry.setBounds(190, 140, 200, 20);

        jPanel2.add(edCurrency);
        edCurrency.setBounds(190, 170, 200, 20);

        getContentPane().add(jPanel2, java.awt.BorderLayout.CENTER);

        pack();
        java.awt.Dimension screenSize = java.awt.Toolkit.getDefaultToolkit().getScreenSize();
        setSize(new java.awt.Dimension(600, 419));
        setLocation((screenSize.width-600)/2,(screenSize.height-419)/2);
    }

    private void btnSaiActionPerformed(java.awt.event.ActionEvent evt) {
        dispose();
    }

    private void btnPesquisaActionPerformed(java.awt.event.ActionEvent evt) {
        edCountry.setText(JOptionPane.showInputDialog("Digite o nome do pas"));
        if (!(edCountry.getText().equals(""))) {
          edCountryAoPerderFoco();
          edCurrency.requestFocus();
        }  
    }

    private void btnLimpaActionPerformed(java.awt.event.ActionEvent evt) {
        edCountry.setText("");
        edCurrency.setText("");
        edCountry.setEnabled(true);
        edCountry.requestFocus();
    }

    private void btnExcluiActionPerformed(java.awt.event.ActionEvent evt) {
        String qry;

        // Elimina brancos
        edCountry.setText(edCountry.getText().trim());

        // Verifica se o cdigo do pas foi fornecido
        if (!(edCountry.getText().equals(""))) {
            // Estabelece conexo com o banco de dados
            ConexaoFirebird ac = new ConexaoFirebird();
            ac.setURL("jdbc:firebirdsql:localhost/3050:C:\\Livros\\Java3ed\\Exemplos\\db\\Employee.fdb");
            ac.setUserName("SYSDBA");
            ac.setPassword("masterkey");

            if (ac.conecta()) {
                // Monta query
                qry = " SELECT COUNT(*) FROM Country "
                    + " WHERE Country = "
                    + " '" + edCountry.getText() + "'";
          
                // Verifica se o pas existe no banco
                if (ac.regCount(qry) > 0) {
                // Monta query para excluir
                    qry = " DELETE FROM Country "
                        + " WHERE Country = "
                        + " '" + edCountry.getText() + "'";

                // Exclui registro
                ac.exeQuery(qry);

                // Limpa campos
                btnLimpaActionPerformed(evt);
                } else {
                    JOptionPane.showMessageDialog(
                        null,
                        "O pas no existe no banco de dados!",
                        "Aviso",
                        JOptionPane.WARNING_MESSAGE);
                    }
          
                // Desfaz conexo com o banco de dados
                ac.desconecta();
            }
        }
    }

    private void btnGravaActionPerformed(java.awt.event.ActionEvent evt) {
        String qry;

        // Elimina brancos
        edCountry.setText(edCountry.getText().trim());

        // Verifica se o cdigo do pas foi fornecido
        if (!(edCountry.getText().equals(""))) {
            // Estabelece conexo com o banco de dados
            ConexaoFirebird ac = new ConexaoFirebird();
            ac.setURL("jdbc:firebirdsql:localhost/3050:C:\\Livros\\Java3ed\\Exemplos\\db\\Employee.fdb");
            ac.setUserName("SYSDBA");
            ac.setPassword("masterkey");

        if (ac.conecta()) {
            // Monta query
            qry = " SELECT COUNT(*) FROM Country "
                + " WHERE Country = "
                + " '" + edCountry.getText() + "'";
          
            // Verifica se o pas existe no banco
            if (ac.regCount(qry) > 0) {
                // Monta query para atualizar
                qry = " UPDATE Country set Currency = '" + edCurrency.getText() + "'"
                    + " WHERE Country = "
                    + " '" + edCountry.getText() + "'";

                // Atualiza registro
                ac.exeQuery(qry);
            } else {
                // Monta query para inserir
                qry = " INSERT INTO Country (Country, Currency) values ("
                    + " '" + edCountry.getText() + "'"
                    + ",'" + edCurrency.getText() + "')";

                // Insere registro
                ac.exeQuery(qry);
            }
          
            // Desfaz conexo com o banco de dados
            ac.desconecta();

            // Libera campo Pas
            edCountry.setEnabled(true);
            }
        }
    }
 
    private void edCountryFocusLost(java.awt.event.FocusEvent evt) {
        // Elimina brancos
        edCountry.setText(edCountry.getText().trim());

        // Verifica se o cdigo do pas foi fornecido
        if (!(edCountry.getText().equals("")))
            edCountryAoPerderFoco();    
    }

    private void edCountryAoPerderFoco() {
        String qry;
        String col = new String("");

        // Elimina brancos
        edCountry.setText(edCountry.getText().trim());

        // Verifica se o cdigo do pas foi fornecido
        if (!(edCountry.getText().equals(""))) {
            // Estabelece conexo com o banco de dados
            ConexaoFirebird ac =
                new ConexaoFirebird();
            ac.setURL("jdbc:firebirdsql:localhost/3050:C:\\Livros\\Java3ed\\Exemplos\\db\\Employee.fdb");
            ac.setUserName("SYSDBA");
            ac.setPassword("masterkey");

            if (ac.conecta()) {
                // Monta query
                qry = " SELECT COUNT(*) FROM Country "
                    + " WHERE Country = "
                    + " '" + edCountry.getText() + "'";
                // Verifica se o pas existe no banco
                if (ac.regCount(qry) > 0) {
                    // Monta query
                    qry = " SELECT Currency "
                        + " FROM Country "
                        + " WHERE Country = "
                        + " '" + edCountry.getText() + "'";

                    // Recupera a moeda do pas
                    col = ac.getColumn(qry);
                    edCurrency.setText("" + col);

                    // Bloqueia campo Pas
                    edCountry.setEnabled(false);
                }
                
                // Desfaz conexo com o banco de dados
                ac.desconecta();
            }
        }
    }    
    
    private void exitForm(java.awt.event.WindowEvent evt) {
        dispose();
    }
    
    private javax.swing.JLabel jLabel1;
    private javax.swing.JButton btnGrava;
    private javax.swing.JLabel jLabel2;
    private javax.swing.JTextField edCurrency;
    private javax.swing.JPanel jPanel2;
    private javax.swing.JButton btnExclui;
    private javax.swing.JTextField edCountry;
    private javax.swing.JButton btnSai;
    private javax.swing.JPanel jPanel1;
    private javax.swing.JButton btnLimpa;
    private javax.swing.JButton btnPesquisa;
}
